/*
 * Copyright 2020 Masarykova univerzita
 *
 *
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package cz.muni.csirt.analyza.entity;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import cz.muni.csirt.analyza.json.LinkTypeDeserializer;
import java.util.Objects;

/**
 * Class that holds LinkType and its attributes.
 */
//@Entity
@JsonDeserialize(using = LinkTypeDeserializer.class)
@JsonIgnoreProperties({"hibernateLazyInitializer", "handler"})
public class LinkType {

    private String type;

    public LinkType() { this.type = "unknown"; }

    public LinkType(LinkType linkType) {
        this.type = linkType.getType();
    }

    public LinkType(String type) {
        this.type = type;
    }

    public String getType() {
        return type;
    }

    public LinkType setType(String type) {
        this.type = type;
        return this;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (!(o instanceof LinkType)) return false;
        LinkType linkType = (LinkType) o;
        return Objects.equals(type, linkType.type);
    }

    @Override
    public int hashCode() {
        return Objects.hash(type);
    }

    @Override
    public String toString() {
        return "{\"type\":\"" + type + "\"}";
    }
}
