/*
 * Copyright 2020 Masarykova univerzita
 *
 *
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package cz.muni.csirt.analyza.service;

import com.fasterxml.jackson.core.JsonProcessingException;
import cz.muni.csirt.analyza.entity.GenericObject;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Map;

/**
 * Service interface for generic objects.
 */
public interface GenericObjectService {

    Collection<GenericObject> getFullHierarchy(String localW, ArrayList<String> hierarchyW, String mode);

    Collection<GenericObject> getFullByTime(ArrayList<String> hierarchyW);

    Map<String, GenericObject> stringToGenericObjectsMap(String localAnswer);

    Collection<GenericObject> getFullByLocal(String localW, ArrayList<String> hierarchyW) throws JsonProcessingException;

    }
