/*
 * Copyright 2020 Masarykova univerzita
 *
 *
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package cz.muni.csirt.analyza.service;

import cz.muni.csirt.analyza.entity.GenericObject;
import cz.muni.csirt.analyza.entity.Link;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Map;

/**
 * Service interface of the Link.
 */
public interface LinkService {

//    /**
//     *
//     * @param hierarchyW List of string responses from hierarchical warehouses
//     * @param mapL Map of Link with UUID as a key
//     * @param mapG Map of GenericObject UUID as a key
//     * @return List of Strings representing mapL and mapG
//     */
//    Collection<Link> getFromHierarchy(ArrayList<String> hierarchyW,
//                                      Map<String, Link> mapL, Map<String, GenericObject> mapG);

    Collection<Link> getFullHierarchy(ArrayList<String> hierarchyW, String mode);

    Collection<Link> getFullByTime(ArrayList<String> hierarchyW);

    //Map<String, GenericObject> getFromLocale(String localAnswer);

    Collection<Link> getFullByLocal(ArrayList<String> hierarchyW);
}
