/*
 * Copyright 2020 Masarykova univerzita
 *
 *
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package cz.muni.csirt.analyza.util.config;

import org.springframework.boot.context.properties.ConfigurationProperties;

import java.util.ArrayList;
import java.util.Arrays;

/**
 * Configuration  class.
 */
@ConfigurationProperties("proxy")
public class ProxyProperties {

    private String processedLocation = "/data";
    private String localWarehouseUrl = "http://147.251.124.59:8080/";
    private String testingWarehouseUrl = "http://147.251.124.59:8080/";
    private ArrayList<String> remoteWarehousesUrls = new ArrayList<>(Arrays.asList("http://147.251.124.59:8080/"));

    public String getLocalWarehouseUrl() {
        return localWarehouseUrl;
    }

    public String getTestingWarehouseUrl() {
        return testingWarehouseUrl;
    }

    public ArrayList<String> getRemoteWarehousesUrls() {
        return remoteWarehousesUrls;
    }

    public String getProcessedLocation() {
        return processedLocation;
    }

    public void setProcessedLocation(String processedLocation) {
        this.processedLocation = processedLocation;
    }
}
